class PhotosController < AbstractResourcesController

  private

    def resource_params
      params.require(:photo).permit( :id, :image )
    end

    #
    #
    # find all resources
    def find_all_resources options
      return false unless policy_scope(resource_class)
      policy_scope(resource_class)
    end
    #
    #
    # find queried resources collection - implement on each controller to customize
    def find_resources_queried options={}
      lot = parent? ? parent.send(resource_name) : resource_class
      res = case params[:subtype]
      when nil; Photo.search policy_scope(lot), params[:q]
      end
    end

end
