class CreateMedia < ActiveRecord::Migration
  def change
    create_table :media do |t|
      t.string :title
      t.references :imageable, polymorphic: true, index: true
      t.string :medium
      t.string :lng_lat
      t.text :description

      t.timestamps null: false
    end
  end
end
