{ div, img, input, a, i, label } = React.DOM

class @PhotoCard extends React.Component
  constructor: (props) ->
    super props
    @state =
      photo_id: props.photo_id
      entity: props.entity
      record: props.record

  @propTypes =
    # record: React.PropTypes.node
    photo_id: React.PropTypes.number
    entity: React.PropTypes.string

  @defaultProps: ->
    record: ''
    photo_id: 0
    entity: 'stock_item'

  show_on_new: () =>
    if @props.record.id == 0
      ''
    else
      'hide'

  handleDelete: (e) =>
    e.preventDefault()
    $elem = $(e.currentTarget)
    jqxhr = $.ajax
      method: 'DELETE'
      url: "/photos/#{ @state.record.id }"
      dataType: 'html'
    jqxhr.done () =>
      $elem.closest('.card').fadeOut 'slow', () =>
        $elem.closest('.card').remove()
    jqxhr.fail (e,msg) =>
      swal "Fejl!", "Det var ikke muligt at slette billedet - fejlen er:\n" + msg, "error"

  render: ->

    div
      className: "col s12 m6 l3"
      div
        className: "card"
        div
          className: "card-image waves-effect waves-block waves-light"
          div
            className: "progress fileupload-progress fade"
            style: display: 'none'
            div
              className: "determinate"
              style: width: '0%'
          img
            className: "activator"
            id: @props.photo_id
            src: @props.record.image.url
          div
            className: "row"
            div
              className: "col s2"
              a
                className: "delete file-upload"
                href: "#!"
                i
                  className: "material-icons small file_upload red-text"
                  onClick: @handleDelete
                  'delete'
            div
              className: "col s10"
              input
                className: "files_uploaded"
                id: "photos_#{@props.record.id}_id"
                type: "hidden"
                name: "#{@props.entity}[ps][#{@props.record.id}][id]"
                value: "#{@props.record.id}"
              @props.record.purpose || ""
              @props.record.title || ""
